Subject: bug#22970: closed (Re: bug#22970: guix edit mutt -- not working)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 09 Mar 2016 23:45:02 +0000

Your bug report

#22970: guix edit mutt -- not working

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22970: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22970
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22970: guix edit mutt -- not working
From: Andreas Enge <[email-masked]>
To: Jean Louis <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 10 Mar 2016 00:44:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Mar 10, 2016 at 12:22:20AM +0100, Jean Louis wrote:
> And I could not save the file in my home directory, and do:
> guix package -i mutt -f mail.scm

As mentioned on IRC, modify the file mail.scm by adding a line
   mutt
at the end. Then
   guix package -f mail.scm
does "install the package that the code within FILE evaluates to" as
explained by "guix package --help". mail.scm itself does not evaluate
to anything, it just contains a number of variable definitions. By adding
the line, it "returns" the value of the variable mutt, which is your
package definition.

Better yet, use GUIX_PACKAGE_PATH, for instance as follows:
   export GUIX_PACKAGE_PATH=$HOME/guix
Then create the same file layout in that directory as in the source code:
   mkdir -p $HOME/guix/gnu/packages
Copy mail.scm there, modify mutt, then
   guix package -i mutt
will first look for your modified package.

As this is not a bug, it would have been better to post to [email-masked];
let us continue the discussion there (if you are not yet subscribed, please
do so), and I am closing this bug.

Andreas

Subject: guix edit mutt -- not working
From: Jean Louis <[email-masked]>
To: [email-masked]
Date: Thu, 10 Mar 2016 00:22:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

My understanding is that each user, shall be able to:

guix edit mutt

as example, change the options, and get such package, as I wanted to
add: --enable-hcache here:

 `(#:configure-flags '("--enable-smtp"
					   "--enable-imap"
					   "--enable-pop"
					   "--enable-gpgme"
					   "--with-ssl"
					   "--with-sasl"

but I cannot "save" the file, as it is read only:

/gnu/store/632msbms2yaldfnlrb5lbnlnmn9yjisw-guix-0.9.0/share/guile/site/2.0/gnu/packages/mail.scm:
unmodified,
UNLOCKED, readonly: line 206 of 1007 [20%]

And I could not save the file in my home directory, and do:

guix package -i mutt -f mail.scm

I need help in understanding, rather than using mutt, as I want to
urgently run the GNU.

Jean Louis